From f79b243fafb2964e4d7b73edcf79dd7c7d087ac9 Mon Sep 17 00:00:00 2001
From: Jozef Lawrynowicz <jozef.l@somniumtech.com>
Date: Wed, 19 Apr 2017 11:47:13 +0000
Subject: [PATCH] Fix relocation type for _bsssize being R_MSP430X_ABS16 when
 large memory model is used

---
 libgloss/msp430/crt0.S | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/libgloss/msp430/crt0.S b/libgloss/msp430/crt0.S
index 5c84e7c..f5ab8d3 100644
--- a/libgloss/msp430/crt0.S
+++ b/libgloss/msp430/crt0.S
@@ -72,9 +72,9 @@ START_CRT_FUNC 0100 init_bss
 
 	mov_	#__bssstart, R12
 	clr.w	R13
-	mov.w	#__bsssize, R14
+	mov_	#__bsssize, R14
 #ifdef __MSP430X_LARGE__
-	clr.w	R15		; We assume that __bsssize is never > 64M
+	clr.w	R15		; We assume that __bsssize is never > 64K
 #endif
 	call_	#memset
 
-- 
1.8.3.1

